Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
chwba
@chwba
@Bato-Bair which font is it, canyou post your config
Muhammed Yusuf
@myusf01
resim.png
my posh looks like doesn't work propery
how can i fix the problem :/
Ruslán González
@ruslanguns
@myusf01 you are missing the font... please read the README it is very explained.
Guys!! I just joined to this comunity because I wanted to say thanks!!!! powershell rocks but were bored without theming
for better experience I use Terminus running Powershell and rocks even more!
Ruslán González
@ruslanguns
image.png
BTW running the latest release of PS
Calvin Wilkinson
@KinsonDigital
So I am getting weird rendering going on here. The end of the colored line is not pointed and the other characters are not working correctly. Like the branch symbol etc.
image.png
Leonardo Santagada
@santagada
I searched but couldn't find, how do I disable git status? I work on llvm from time to time and the repo is huge so git status takes forever on windows
I don't want to have 2 seconds between propmpts
Tushar Sadhwani
@tusharsadhwani
image.png
any idea how to get Paradox theme on linux (oh my zsh)?
basically just want agnoster theme + the time on the right and the prompt on a newline
Jan De Dobbeleer
@JanDeDobbeleer
@tusharsadhwani if that's what you want, have a look at oh-my-posh V3 which is now cross platform ^^
Alastair Pitts
@APErebus
image.png
@JanDeDobbeleer Is it possible to remove the slight gap between a segment with style diamond and style powerline (like when 2 powerline segments are sequential, they connect)
2 replies
Shubh Agrawal
@theshubhagrwl
Hi, I have raised an issue. Anyone else who faces the same problem? JanDeDobbeleer/oh-my-posh#345
Ririshi
@Ririshi
Hi y'all. Does anyone have a nice P10K rainbow-like theme?
Jonathan Moore
@jmoore34
image.png
Does anyone else get question marks when using both oh-my-posh and PSFzf?
Moinuddin Memon
@moinuddin-dev
I am getting this error while installing oh-my-posh 3
Install-Module oh-my-posh -Scope CurrentUser -AllowPrerelease
basically this,
Install-Module : A parameter cannot be found that matches parameter name 'AllowPrerelease'.
At line:1 char:46
  • Install-Module oh-my-posh -Scope CurrentUser -AllowPrerelease
  • ~~~~
    • CategoryInfo : InvalidArgument: (:) [Install-Module], ParameterBindingException
    • FullyQualifiedErrorId : NamedParameterNotFound,Install-Module
pszlazak
@pszlazak
@JanDeDobbeleer Is posh-git installation needed for oh-my-posh to work?
There are tutorials in the web mentioning it, but in https://ohmyposh.dev/docs/installation I don't see it.
V4G4X
@V4G4X

Install-Module : A parameter cannot be found that matches parameter name 'AllowPrerelease'.
At line:1 char:46

  • Install-Module oh-my-posh -Scope CurrentUser -AllowPrerelease
  • ~~~~
    • CategoryInfo : InvalidArgument: (:) [Install-Module], ParameterBindingException
    • FullyQualifiedErrorId : NamedParameterNotFound,Install-Module

I am having the same issue, does anyone know how to fix?

2 replies
Jonathan Moore
@jmoore34
image.png
PSReadLine's InvokePrompt() seems to not handle the prompt correctly
Nicolas De Irisarri
@nirisarri
image.png
hello. I want to know if there is an issue with the error module in POSH. this is what I am being displayed. In my mind I should not see the check mark and the green heart should be red. :
this is my exit module:
{
                    "type": "exit",
                    "style": "plain",
                    "foreground": "#66D372",
                    "leading_diamond": "",
                    "trailing_diamond": "",
                    "properties": {
                        "display_exit_code": true,
                        "always_enabled": true,
                        "error_color": "#e91e63",
                        "color_background": true,
                        "success_icon": " ",
                        "prefix": "♥"
                    }
                },